Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class LogData

    java.lang.Object
      org.wso2.wsas.admin.service.util.LogData

    public class LogData

extends java.lang.Object

Constructor Summary
`LogData()`

Method Summary
`AppenderData[]` | `getAppenderData()`
`java.lang.String` | `getLogFile()`
`LoggerData[]` | `getLoggerData()`
`java.lang.String` | `getLogLevel()`
`java.lang.String` | `getLogPattern()`
`AppenderData` | `getSelectedAppenderData()`
`LoggerData` | `getSelectedLoggerData()`
`void` | `setAppenderData(AppenderData[] appenderData)`
`void` | `setLogFile(java.lang.String logFile)`
`void` | `setLoggerData(LoggerData[] loggerData)`
`void` | `setLogLevel(java.lang.String logLevel)`
`void` | `setLogPattern(java.lang.String logPattern)`
`void` | `setSelectedAppenderData(AppenderData selectedAppenderData)`
`void` | `setSelectedLoggerData(LoggerData selectedLoggerData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogData

    public LogData()

Method Detail

### getLogLevel

    public java.lang.String getLogLevel()

### setLogLevel

    public void setLogLevel(java.lang.String logLevel)

### getLogPattern

    public java.lang.String getLogPattern()

### setLogPattern

    public void setLogPattern(java.lang.String logPattern)

### getLogFile

    public java.lang.String getLogFile()

### setLogFile

    public void setLogFile(java.lang.String logFile)

### getAppenderData

    public AppenderData[] getAppenderData()

### setAppenderData

    public void setAppenderData(AppenderData[] appenderData)

### getSelectedAppenderData

    public AppenderData getSelectedAppenderData()

### setSelectedAppenderData

    public void setSelectedAppenderData(AppenderData selectedAppenderData)

### getSelectedLoggerData

    public LoggerData getSelectedLoggerData()

### setSelectedLoggerData

    public void setSelectedLoggerData(LoggerData selectedLoggerData)

### getLoggerData

    public LoggerData[] getLoggerData()

### setLoggerData

    public void setLoggerData(LoggerData[] loggerData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD